<div class="row">
  <div class="col-12">
    <div class="card">
      <div class="card-header">
        <strong *ngIf="id; else newTitle">Edit User</strong>
        <ng-template #newTitle>
          <strong>New User</strong>
        </ng-template>
      </div>
      <form [formGroup]="user" (ngSubmit)="onSubmit()">
        <div class="card-body">
          <div class="form-group">
            <label class="form-col-form-label" for="name">Name</label>
            <input type="text" class="form-control" id="name" formControlName="name">
          </div>
          <div class="form-group">
            <label class="form-col-form-label" for="email">E-mail</label>
            <input type="text" class="form-control" id="email" formControlName="email">
          </div>
          <div class="form-group">
            <label class="form-col-form-label" for="phone">Phone</label>
            <input type="tel" class="form-control" id="phone" formControlName="phone">
          </div>
          <div class="form-group">
            <label class="form-col-form-label" for="password">Password</label>
            <input type="password" class="form-control" id="password" formControlName="password">
          </div>
        </div>
        <div class="card-footer">
          <button type="submit" class="btn btn-sm btn-primary" [disabled]="user.invalid"><i class="fa fa-dot-circle-o"></i> Submit</button>
          <button type="reset" class="btn btn-sm btn-danger" (onClick)="onReset()"><i class="fa fa-ban"></i> Reset</button>
        </div>
      </form>
    </div>
  </div>
</div>
